admin/controllers/OrderController.php
<?php

namespace admin\controllers;

use common\models\DetailOrder;
use common\models\Jurnal;
use common\models\JurnalDetail;
use common\models\Transaksi;
use Yii;
use common\models\Order;
use admin\models\OrderSearch;
use yii\base\ErrorException;
use yii\bootstrap\Html;
use yii\db\Exception;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * OrderController implements the CRUD actions for Order model.
 */
class OrderController extends Controller
{
    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Order models.
     * @return mixed
     */
    public function actionIndex()
    {
        $searchModel = new OrderSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);

        return $this->render('index', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Order model.
     * @param string $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Order model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Order();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id_order]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Order model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param string $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id_order]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    public function actionValidasi($id)
    {
        $model = $this->findModel($id);
        $model->scenario = $model::SCENARIO_VALIDASI;
        $model->validasi = 1;
        $model->tanggal_validasi = date('Y-m-d');

        $transaction = Yii::$app->db->beginTransaction();
        if ($model->status_pembayaran && $model->save()) {
            try{
                $trans = new Transaksi();
                $trans->tanggal = $model->tanggal_validasi;
                $trans->keterangan_transaksi = 'Validasi Order ' . $model->id_order;
                $trans->total_transaksi = $model->total_harga;
                $trans->status = 'Lunas';
                $trans->tipe_transaksi = 'Masuk';
                $trans->no_bukti = $model->id_order;
                if ($trans->save()){
                    $journal = new Jurnal();
                    $journal->id_transaksi = $trans->id_transaksi;
                    $journal->keterangan = $trans->keterangan_transaksi;
                    $journal->tanggal = $model->tanggal_validasi;
                    if($journal->save()){
                        Yii::$app->db->createCommand()->batchInsert(JurnalDetail::tableName(),['id_jurnal','kode_akun','debit','credit'],[
                            [$journal->id,'4.1',0,$model->total_harga],
                            [$journal->id,'1.1',$model->total_harga,0],
                        ])->execute();
                        $transaction->commit();
                    }else{
                        $transaction->rollBack();
                        echo Html::errorSummary($journal);
                        die();
                    }
                }else{
                    $transaction->rollBack();
                    echo Html::errorSummary($trans);
                    die();
                }
            }catch (\Exception $x ){
                $transaction->rollBack();
                throw new NotFoundHttpException($x->getMessage());
            }

            return $this->redirect(['view', 'id' => $model->id_order]);
        }else{
            echo Html::errorSummary($model);
            $transaction->rollBack();
            die();
        }
    }

    /**
     * Deletes an existing Order model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param string $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $orderIsValidasi = Order::find()->isValidasi()->byID($id)->count();
        if($orderIsValidasi >=1){
            Yii::$app->session->setFlash('error','Maaf Order tidak dapat dibatalkan karena sudah di validasi');
        }else{
            DetailOrder::findOne(['id_order'=>$id])->delete();
            $this->findModel($id)->delete();
        }

        return $this->redirect(['index']);
    }

    /**
     * Public function actionLaporan() For
     **/
    public function actionLaporan()
    {
        $searchModel = new OrderSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->post());
        $dataProvider->pagination = false;
        $dataProvider->sort = false;
        return $this->render('laporan', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Finds the Order model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param string $id
     * @return Order the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Order::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException(Yii::t('app', 'The requested page does not exist.'));
    }
}

admin/controllers/ProdukController.php
<?php

namespace admin\controllers;

use Yii;
use common\models\Produk;
use admin\models\ProdukSearch;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * ProdukController implements the CRUD actions for Produk model.
 */
class ProdukController extends Controller
{
    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Produk models.
     * @return mixed
     */
    public function actionIndex()
    {
        $searchModel = new ProdukSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);

        return $this->render('index', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Produk model.
     * @param string $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Produk model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Produk();
        $model->setScenario(Produk::INSERT_SCENARIOS);
        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id_produk]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Produk model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param string $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);
        $model->setScenario(Produk::UPDATE_SCENARIOS);
        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id_produk]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Produk model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param string $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Public function actionLaporan() For
     **/
    public function actionLaporan()
    {
        $searchModel = new ProdukSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->post());
        $dataProvider->sort = false;
        $dataProvider->pagination = false;
        return $this->render('laporan', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Finds the Produk model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param string $id
     * @return Produk the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Produk::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException(Yii::t('app', 'The requested page does not exist.'));
    }
}

admin/controllers/SaranController.php
<?php

namespace admin\controllers;

use Yii;
use common\models\Saran;
use admin\models\SaranSearch;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * SaranController implements the CRUD actions for Saran model.
 */
class SaranController extends Controller
{
    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Saran models.
     * @return mixed
     */
    public function actionIndex()
    {
        $searchModel = new SaranSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);

        return $this->render('index', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Saran model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Saran model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Saran();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id_saran]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Saran model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id_saran]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Saran model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Saran model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Saran the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Saran::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException(Yii::t('app', 'The requested page does not exist.'));
    }
}

admin/controllers/SliderController.php
<?php

namespace admin\controllers;

use Yii;
use common\models\ImageSlider;
use admin\models\ImageSliderSearch;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * SliderController implements the CRUD actions for ImageSlider model.
 */
class SliderController extends Controller
{
    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all ImageSlider models.
     * @return mixed
     */
    public function actionIndex()
    {
        $searchModel = new ImageSliderSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);

        return $this->render('index', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single ImageSlider model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new ImageSlider model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new ImageSlider();
        $model->setScenario(ImageSlider::INSERT_SCENARIOS);
        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id_slider]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing ImageSlider model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);
        $model->setScenario(ImageSlider::UPDATE_SCENARIOS);
        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id_slider]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing ImageSlider model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the ImageSlider model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return ImageSlider the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = ImageSlider::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException(Yii::t('app', 'The requested page does not exist.'));
    }
}

admin/views/layouts/main - Copy.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use admin\assets\AppAsset;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use common\widgets\Alert;

AppAsset::register($this);
$user = Yii::$app->user->identity;
$namaUser = (Yii::$app->user->isGuest)? 'Guest': $user->nama_user;
if(!Yii::$app->user->isGuest){
    switch ($user->akses){
        case 'admin':
            $menuItems = [
                ['label' => 'Dashboard', 'url' => ['/site/index']],
                ['label' => 'Produk', 'url' => ['/produk/index']],
                ['label' => 'Ketegori', 'url' => ['/kategori-produk/index']],
                ['label' => 'Pelanggan', 'url' => ['/pelanggan/index']],
                ['label' => 'Order', 'url' => ['/order/index']],
                ['label' => 'Saran', 'url' => ['/saran/index']],
                ['label' => 'Slider', 'url' => ['/slider/index']],
                ['label' => 'User', 'url' => ['/user']],
                ['label' => 'Akunting', 'url' => ['#'],'items' => [
                    ['label' => 'Akun', 'url' => ['/akun']],
                    ['label' => 'Akun Klasifikasi', 'url' => ['/akun-klasifikasi']],
                ]],
                ['label' => 'Transaksi Pengeluaran', 'url' => ['/transaksi/pengeluaran']],
                ['label' => 'Laporan', 'url' => ['/laporan']],
            ];
            break;
        case 'user':
            $menuItems = [
                ['label' => 'Dashboard', 'url' => ['/site/index']],
                ['label' => 'Produk', 'url' => ['/produk/index']],
                ['label' => 'Pelanggan', 'url' => ['/pelanggan/index']],
                ['label' => 'Order', 'url' => ['/order/index']],
                ['label' => 'Transaksi Pengeluaran', 'url' => ['/transaksi/pengeluaran']],
                ['label' => 'Laporan','items' => [
                    ['label' => 'Pelanggan', 'url' => ['pelanggan/laporan']],
                    ['label' => 'Order', 'url' => ['order/laporan']],
                ]],
            ];
            break;
        case 'owner':
            $menuItems = [
                ['label' => 'Dashboard', 'url' => ['/site/index']],
                ['label' => 'Produk', 'url' => ['/produk/index']],
                ['label' => 'Pelanggan', 'url' => ['/pelanggan/index']],
                ['label' => 'Order', 'url' => ['/order/index']],
                ['label' => 'Saran', 'url' => ['/saran/index']],
                ['label' => 'Transaksi Pengeluaran', 'url' => ['/transaksi/pengeluaran']],
                ['label' => 'Laporan', 'url' => ['/laporan']],
            ];
            break;


    }

}else{
    $menuItems = [];
}

?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?= Html::csrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div id="wrapper">

    <!-- Navigation -->
    <nav class="navbar navbar-inverse navbar-fixed-top hidden-print" role="navigation">
        <!-- Brand and toggle get grouped for better mobile display -->
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href=""><?= Html::encode($this->title) ?></a>
        </div>
        <!-- Top Menu Items -->
        <ul class="nav navbar-right top-nav">

            <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-user"></i> <?= $namaUser?> <b class="caret"></b></a>
                <ul class="dropdown-menu">
                    <?php
                    if (Yii::$app->user->isGuest) {
                        ?>
                        <li><?= a('<i class="fa fa-fw fa-sign-in"></i> Login',['/site/login'])?></li>
                        <?php
                    } else {
                        ?>
                        <li><?= a('Profile',['/site/profile'])?></li>
                        <?php
                        echo '<li>'
                            . Html::beginForm(['/site/logout'], 'post')
                            . Html::submitButton(
                                '<i class="fa fa-fw fa-power-off"></i> Log Out',
                                ['class' => 'btn btn-link logout']
                            )
                            . Html::endForm()
                            . '</li>';
                    }
                    ?>
                </ul>
            </li>
        </ul>
        <!-- Sidebar Menu Items - These collapse to the responsive navigation menu on small screens -->
        <div class="collapse navbar-collapse navbar-ex1-collapse">
            <?php

            echo Nav::widget([
                'options' => ['class' => 'nav navbar-nav side-nav'],
                'items' => $menuItems,
            ]);
            ?>
        </div>
        <!-- /.navbar-collapse -->
    </nav>

    <div id="page-wrapper">
        <div class="container-fluid">
            <?= $content?>
        </div>
        <!-- /.container-fluid -->
    </div>
    <!-- /#page-wrapper -->

</div>
<!-- /#wrapper -->

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>

admin/views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use admin\assets\AppAsset;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use common\widgets\Alert;

AppAsset::register($this);
$user = Yii::$app->user->identity;
$namaUser = (Yii::$app->user->isGuest)? 'Guest': $user->nama_user;
if(!Yii::$app->user->isGuest){
    switch ($user->akses){
        case 'admin':
            $menuItems = [
                ['label' => 'Dashboard', 'url' => ['/site/index']],
                ['label' => 'Produk', 'url' => ['/produk/index']],
                ['label' => 'Ketegori', 'url' => ['/kategori-produk/index']],
                ['label' => 'Pelanggan', 'url' => ['/pelanggan/index']],
                ['label' => 'Order', 'url' => ['/order/index']],
                ['label' => 'Saran', 'url' => ['/saran/index']],
                ['label' => 'Slider', 'url' => ['/slider/index']],
                ['label' => 'Akunting', 'url' => ['#'],'items' => [
                    ['label' => 'Akun', 'url' => ['/akun']],
                    ['label' => 'Akun Klasifikasi', 'url' => ['/akun-klasifikasi']],
                ]],
                ['label' => 'Transaksi Pengeluaran', 'url' => ['/transaksi/pengeluaran']],
                ['label' => 'Laporan', 'url' => ['/laporan']],
            ];
            break;
        case 'user':
            $menuItems = [
                ['label' => 'Dashboard', 'url' => ['/site/index']],
                ['label' => 'Produk', 'url' => ['/produk/index']],
                ['label' => 'Pelanggan', 'url' => ['/pelanggan/index']],
                ['label' => 'Order', 'url' => ['/order/index']],
                ['label' => 'Transaksi Pengeluaran', 'url' => ['/transaksi/pengeluaran']],
                ['label' => 'Laporan','items' => [
                    ['label' => 'Pelanggan', 'url' => ['pelanggan/laporan']],
                    ['label' => 'Order', 'url' => ['order/laporan']],
                ]],
            ];
            break;
        case 'owner':
            $menuItems = [
                ['label' => 'Dashboard', 'url' => ['/site/index']],
				['label' => 'User', 'url' => ['/user']],
                ['label' => 'Order', 'url' => ['/order/index']],
                ['label' => 'Saran', 'url' => ['/saran/index']],
                ['label' => 'Transaksi Pengeluaran', 'url' => ['/transaksi/pengeluaran']],
                ['label' => 'Laporan', 'url' => ['/laporan']],
            ];
            break;


    }

}else{
    $menuItems = [];
}

?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?= Html::csrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div id="wrapper">

    <!-- Navigation -->
    <nav class="navbar navbar-inverse navbar-fixed-top hidden-print" role="navigation">
        <!-- Brand and toggle get grouped for better mobile display -->
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href=""><?= Html::encode($this->title) ?></a>
        </div>
        <!-- Top Menu Items -->
        <ul class="nav navbar-right top-nav">

            <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-user"></i> <?= $namaUser?> <b class="caret"></b></a>
                <ul class="dropdown-menu">
                    <?php
                    if (Yii::$app->user->isGuest) {
                        ?>
                        <li><?= a('<i class="fa fa-fw fa-sign-in"></i> Login',['/site/login'])?></li>
                        <?php
                    } else {
                        ?>
                        <li><?= a('Profile',['/site/profile'])?></li>
                        <?php
                        echo '<li>'
                            . Html::beginForm(['/site/logout'], 'post')
                            . Html::submitButton(
                                '<i class="fa fa-fw fa-power-off"></i> Log Out',
                                ['class' => 'btn btn-link logout']
                            )
                            . Html::endForm()
                            . '</li>';
                    }
                    ?>
                </ul>
            </li>
        </ul>
        <!-- Sidebar Menu Items - These collapse to the responsive navigation menu on small screens -->
        <div class="collapse navbar-collapse navbar-ex1-collapse">
            <?php

            echo Nav::widget([
                'options' => ['class' => 'nav navbar-nav side-nav'],
                'items' => $menuItems,
            ]);
            ?>
        </div>
        <!-- /.navbar-collapse -->
    </nav>

    <div id="page-wrapper">
        <div class="container-fluid">
            <?= $content?>
        </div>
        <!-- /.container-fluid -->
    </div>
    <!-- /#page-wrapper -->

</div>
<!-- /#wrapper -->

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>